/*
 *	FILE.H
 */

#ifndef	_FILE_H
#define	_FILE_H

/* seek */
#ifndef SEEK_SET
#define SEEK_SET 0
#endif
#ifndef SEEK_CUR
#define SEEK_CUR 1
#endif
#ifndef SEEK_END
#define SEEK_END 2
#endif

/* access */
#ifndef R_OK
#define R_OK 4
#endif
#ifndef W_OK
#define W_OK 2
#endif
#ifndef X_OK
#define X_OK 1
#endif
#ifndef F_OK
#define F_OK 0
#endif

extern	int	access	(const char *filename, int amode);
extern	int	close	(int handle);
extern	int	open	(const char *filename, int access, ... /* int amode */);
extern	int	read	(int handle, char *buf, unsigned len);
extern	int	write	(int handle, const void *buf, unsigned len);

#endif	/* _FILE_H */

