/*
; K213 turret driver.
; ===================

;------------------------------------------------------------------------
; Author:	Franzi Edo.	The 18/05/97
; Modifs:
;
; Project:	Ksys (based on Khepera system 5 or greater)
; Goal:		Driver for the K213 turret
;
; This module is (c) of Edoardo Franzi 1992-1998
; franzi@k-team.com
;
;------------------------------------------------------------------------
*/

#ifndef	_K213_H
#define	_K213_H

/* Functions */
/* ========= */

extern	int32	k213_reset(void);
extern	int32	k213_getVersion(void);
extern	int32	k213_get8BitImage(uint8 *image);
extern	int32	k213_get4BitImage(uint8 *image);
extern	int32	k213_getSubImage8(uint8 firstPixel, uint8 *image);
extern	int32	k213_getSubImage16(uint8 firstPixel, uint8 *image);
extern	int32	k213_getSubScan2Image(uint8 *image);
extern	int32	k213_getSubScan4Image(uint8 *image);
extern	int32	k213_setScanPeriod(uint8 scanPeriod);
#endif
